module Adminka
  class AdminController < ActionController::Base
    protect_from_forgery with: :exception
    before_action :check_auth, except: [:new, :create]

    layout proc { admin_signed_in? ? 'adminka/admin' : 'adminka/auth' }

    def initialize
      super
      @menu = {}
      Dir.glob(Rails.root + 'app/models/adminka/*.yml') do |f|
        @menu.merge! YAML.load(File.read(f))
      end
    end

    protected

    def check_auth
       if !admin_signed_in?
         redirect_to new_admin_session_path
       elsif admin_signed_in? && !current_admin.is_active
         flash[:alert] = t('adminka.activate_acc')
         redirect_to '/'
       end
    end

    def after_sign_out_path_for(resource_or_scope)
      new_admin_session_path
    end

  end
end
